Get the current session (whoami)
Validates the caller's credential and returns the user. Browser cookie sessions return user metadata only and refresh transparently. With an Authorization: Token or Bearer header, the agent/CLI whoami response also includes that supplied token.
/api/auth/sessionRequest
curl -X GET https://trickest.io/api/auth/session \
-H "Authorization: Token $TRICKEST_TOKEN"Responses
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
codeenumrequiredOne of: UNAUTHORIZED, RATE_LIMITED, TEMPORARILY_UNAVAILABLE, TIMEOUT, INVALID_RESPONSE
messagestringrequiredtraceIdstringretryAfterintegerretryAfterSecondsintegercodeenumrequiredOne of: UNAUTHORIZED, RATE_LIMITED, TEMPORARILY_UNAVAILABLE, TIMEOUT, INVALID_RESPONSE
messagestringrequiredtraceIdstringretryAfterintegerretryAfterSecondsintegercodestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
codeenumrequiredOne of: UNAUTHORIZED, RATE_LIMITED, TEMPORARILY_UNAVAILABLE, TIMEOUT, INVALID_RESPONSE
messagestringrequiredtraceIdstringretryAfterintegerretryAfterSecondsintegercodeenumrequiredOne of: UNAUTHORIZED, RATE_LIMITED, TEMPORARILY_UNAVAILABLE, TIMEOUT, INVALID_RESPONSE
messagestringrequiredtraceIdstringretryAfterintegerretryAfterSecondsintegercodeenumrequiredOne of: UNAUTHORIZED, RATE_LIMITED, TEMPORARILY_UNAVAILABLE, TIMEOUT, INVALID_RESPONSE
messagestringrequiredtraceIdstringretryAfterintegerretryAfterSecondsinteger